#
# spec file for package libpcap (Version 0.9.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libpcap
Version:        0.9.4
Release:        12.4.1
Autoreqprov:    on
Group:          System/Libraries
License:        BSD License and BSD-like
URL:            http://www.tcpdump.org/
Summary:        A Library for Network Sniffers
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}-shared.diff
Patch1:         %{name}-%{version}-filter-fix.diff
Patch2:         %{name}-%{version}-config.diff
Patch4:         %{name}-%{version}-nonvoid.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libpcap is a library used by packet sniffer programs. It provides an
interface for them to capture and analyze packets from network devices.
This package is only needed if you plan to compile or write such a
program yourself.



Authors:
--------
    Bill Fenner <fenner@research.att.com>
    Assar Westerlund <assar@sics.se>
    Alexei <kuznet@ms2.inr.ac.ru>
    Jun-ichiro itojun Hagino <itojun@iijlab.net>
    Guy Harris <gharris@flashcom.net>
    Torsten Landschoff <t.landschoff@gmx.net>
    Michael Richardson <mcr@sandelman.ottawa.on.ca>
    Steve McCanne
    Craig Leres
    Van Jacobson

%debug_package
%prep
%setup -q
%patch
%patch1
%patch2
%patch4

%build
%{suse_update_config -f}
aclocal --force
libtoolize --force
autoconf --force
autoheader --force
CFLAGS="$RPM_OPT_FLAGS -fpic" CXXFLAGS="$RPM_OPT_FLAGS -fpic" \
	./configure \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--enable-ipv6
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README* INSTALL.txt CHANGES CREDITS LICENSE TODO doc/*
%doc %{_mandir}/man?/*
%{_libdir}/lib*
%{_includedir}/*

%changelog
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - mjancar@suse.cz
- update to 0.9.4
* Wed Aug 10 2005 - kkeil@suse.de
- Reverse the -fno-strict-aliasing work around
* Sun Aug 07 2005 - aj@suse.de
- Compile with -fno-strict-aliasing to work around compiler bug for now.
* Fri Aug 05 2005 - ro@suse.de
- do not package all of libdir (debuginfo)
* Tue Aug 02 2005 - mjancar@suse.cz
- update to 0.9.3
* Tue Apr 12 2005 - ro@suse.de
- added return value to non-void functions
* Thu Nov 18 2004 - ro@suse.de
- fixed file list
* Tue Aug 24 2004 - kkeil@suse.de
- add DLT_PPP_WITHDIRECTION from libpcap cvs to handle PPP filters
  in a compatible way
  Thanks to Hannes Gredler <hannes@juniper.net> for implementing it
* Wed Aug 04 2004 - postadal@suse.cz
- updated to version 0.8.3
* Mon Feb 09 2004 - postadal@suse.cz
- updated to version 0.8.1
  * the include file include/net/bpf.h renamed to include/pcap-bpf
- fixed config (LIBOBJS issue)
* Sat Jan 10 2004 - schwab@suse.de
- Use autoreconf.
* Thu Jul 24 2003 - postadal@suse.cz
- update to version 0.7.2
  * support frame relay
  * support for ARPHRD_RAWHDLC
  * support eg (Octane/O2xxx/O3xxx Gigabit) devices
  * add new reserved DLT types
* Mon May 20 2002 - postadal@suse.de
- security fix (get spurious packets before kernel filter kicks in)
- update to 0.7.1
  * pcap_stats() has been documented as to what its counters mean on
  each platform
  * Added pcap_findalldevs() call to get list of interfaces in
  a MI way
* Wed Mar 13 2002 - postadal@suse.cz
- fixed Makefile.in to created shared library
* Thu Jan 10 2002 - cihlar@suse.cz
- use %%{_lib}
* Fri Feb 23 2001 - cihlar@suse.cz
- update to 0.6.2 - it should handle isdn without patch
* Thu Dec 07 2000 - schwab@suse.de
- Compile with -fpic so that it can be included in a shared library.
* Wed Oct 11 2000 - smid@suse.cz
- new version 0.5.2
* Thu Jun 08 2000 - cihlar@suse.cz
- Group sorted
* Fri Apr 21 2000 - smid@suse.cz
- buildroot added
* Thu Mar 02 2000 - uli@suse.de
- moved man page to %%{_mandir}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Sun Jul 11 1999 - @suse.de
- new package: libpcap
  now an extra package, because many network tools use it (so far
  it was included in .srpm packages that needed it, like tcpdump)
